.app-loading {
    width: 100%;
    height: 100vh;
    background: rgba(0, 0, 0, 0.3);
    position: relative;
    margin: 0;
    padding: 0;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 99999999;
    user-select: none;
}
.app-loading-inner {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/* .app-loading-box {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
} */

.loading-img {
    width: 150px;
}

.loading-pagination {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 150px;
    margin: 20px auto;
}

.loading-dot {
    animation: 2291ms loading infinite;
    background-color: #ffffff;
    border-radius: 50%;
    height: 14px;
    width: 14px;
}

.loading-dot:first-child {
    -webkit-animation-delay: 42ms;
    animation-delay: 42ms;
}

.loading-dot:nth-child(2) {
    -webkit-animation-delay: 126ms;
    animation-delay: 126ms;

}

.loading-dot:nth-child(3) {
    -webkit-animation-delay: 294ms;
    animation-delay: 294ms;
}

.loading-dot:nth-child(4) {
    -webkit-animation-delay: 462ms;
    animation-delay: 462ms;
}

.loading-dot:nth-child(5) {
    -webkit-animation-delay: 546ms;
    animation-delay: 546ms;
}

@keyframes loading {
    0% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }

    /* 27.28% {
        -webkit-transform: scale(1);
        transform: scale(1);
    } */

    36.36% {
        -webkit-transform: scale(0.857);
        transform: scale(0.857);
    }

    /* 54.55% {
        -webkit-transform: scale(0.857);
        transform: scale(0.857);
    } */

    /* 63.64% {
        -webkit-transform: scale(0);
        transform: scale(0);
        -webkit-transform: scale(0.857);
        transform: scale(0.857);
    } */

    100% {
        -webkit-transform: scale(0);
        transform: scale(0);
    }
}